Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2516363005: Inline StringValue into base::Value (Closed)

Created:
3 years, 4 months ago by jdoerrie
Modified:
3 years, 2 months ago
CC:
chromium-reviews, vmpstr+watch_chromium.org, vabr (Chromium)
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Inline StringValue into base::Value Similarly as done with FundamentalValue we inline StringValue into base::Value. There will be a follow up CL updating all call sites to use Value instead of StringValue, again similarly to how the removal of FundamentalValue was done. BUG=646113 R=brettw@chromium.org CC=vabr@chromium.org Review-Url: https://codereview.chromium.org/2516363005 Cr-Commit-Position: refs/heads/master@{#447508} Committed: https://chromium.googlesource.com/chromium/src/+/f38f37b34fda511b74b32569f9f2fb23f69c8cea

Patch Set 1 #

Patch Set 2 : Track brettw's patch #

Patch Set 3 : Add ManualConstructor #

Patch Set 4 : Fix destructor and add const char constructor #

Patch Set 5 : Fix JSONStringValue SIGSEGV #

Patch Set 6 : Reimplement old base::Value::GetAsString behavior in json_parser. #

Total comments: 4

Patch Set 7 : Comments and Rebase #

Patch Set 8 : Add tests and remove destructor #

Patch Set 9 : Rebase #

Patch Set 10 : GetString by ref and TestStringValue Fix #

Total comments: 21

Patch Set 11 : Optimize assignment operators, use string literals in tests #

Patch Set 12 : Rebase #

Patch Set 13 : Remove std::string& GetString #

Patch Set 14 : Typedef StringValue to Value #

Patch Set 15 : Rebase on new FundamentalValue Diff #

Total comments: 2

Patch Set 16 : Rebase and Nits. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+313 lines, -113 lines) Patch
M base/json/json_parser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +12 lines, -0 lines 0 comments Download
M base/test/values_test_util.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -1 line 0 comments Download
M base/value_conversions.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -1 line 0 comments Download
M base/values.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 6 chunks +27 lines, -35 lines 0 comments Download
M base/values.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 12 chunks +180 lines, -58 lines 0 comments Download
M base/values_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 3 chunks +68 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/settings/system_settings_provider.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/extensions/api/streams_private/streams_private_api.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +2 lines, -3 lines 0 comments Download
M chrome/browser/ui/webui/options/manage_profile_handler.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -1 line 0 comments Download
M chromeos/network/network_state_unittest.cc View 1 2 3 4 5 6 7 8 9 1 chunk +5 lines, -1 line 0 comments Download
M components/sync/base/model_type.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -1 line 0 comments Download
M components/sync/syncable/syncable_id.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -1 line 0 comments Download
M extensions/browser/api/idle/idle_manager.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -1 line 0 comments Download
M skia/ext/benchmarking_canvas.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 4 chunks +4 lines, -4 lines 0 comments Download
M third_party/libaddressinput/chromium/chrome_storage_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +4 lines, -5 lines 0 comments Download

Messages

Total messages: 74 (61 generated)
vabr (Chromium)
Hi Jan, One question and one nit so far. Thanks! Vaclav https://codereview.chromium.org/2516363005/diff/100001/base/json/json_parser.cc File base/json/json_parser.cc (right): ...
3 years, 4 months ago (2016-12-07 10:17:27 UTC) #25
jdoerrie
https://codereview.chromium.org/2516363005/diff/100001/base/json/json_parser.cc File base/json/json_parser.cc (right): https://codereview.chromium.org/2516363005/diff/100001/base/json/json_parser.cc#newcode156 base/json/json_parser.cc:156: // TODO(jdoerrie): Clean this up when StringValue will be ...
3 years, 4 months ago (2016-12-08 09:59:34 UTC) #26
jdoerrie
Dear all, PTAL. https://codereview.chromium.org/2516363005/diff/180001/base/values.h File base/values.h (right): https://codereview.chromium.org/2516363005/diff/180001/base/values.h#newcode97 base/values.h:97: std::string& GetString(); For now I added ...
3 years, 3 months ago (2016-12-16 09:54:37 UTC) #37
vabr (Chromium)
LGTM with some suggestions. Thanks! Vaclav https://codereview.chromium.org/2516363005/diff/180001/base/values.cc File base/values.cc (right): https://codereview.chromium.org/2516363005/diff/180001/base/values.cc#newcode379 base/values.cc:379: InternalCleanup(); Having the ...
3 years, 3 months ago (2016-12-16 17:00:56 UTC) #40
jdoerrie
Thank you Vaclav! https://codereview.chromium.org/2516363005/diff/180001/base/values.cc File base/values.cc (right): https://codereview.chromium.org/2516363005/diff/180001/base/values.cc#newcode156 base/values.cc:156: that.type_ = Type::NONE; I decided against ...
3 years, 3 months ago (2016-12-19 11:54:09 UTC) #41
vabr (Chromium)
https://codereview.chromium.org/2516363005/diff/180001/base/values.cc File base/values.cc (right): https://codereview.chromium.org/2516363005/diff/180001/base/values.cc#newcode156 base/values.cc:156: that.type_ = Type::NONE; On 2016/12/19 11:54:09, jdoerrie wrote: > ...
3 years, 3 months ago (2016-12-19 13:00:56 UTC) #42
jdoerrie
stevenjb@chromium.org: Please review changes in chromeos/network/network_state_unittest.cc That code will eventually break when type_ is turned ...
3 years, 2 months ago (2017-01-09 11:05:49 UTC) #54
stevenjb
lgtm
3 years, 2 months ago (2017-01-09 16:37:18 UTC) #57
brettw
lgtm https://codereview.chromium.org/2516363005/diff/280001/chrome/browser/extensions/api/streams_private/streams_private_api.cc File chrome/browser/extensions/api/streams_private/streams_private_api.cc (right): https://codereview.chromium.org/2516363005/diff/280001/chrome/browser/extensions/api/streams_private/streams_private_api.cc#newcode43 chrome/browser/extensions/api/streams_private/streams_private_api.cc:43: existing_string_value->GetString() + ", " + std::move(header_value)); This use ...
3 years, 2 months ago (2017-01-31 22:22:24 UTC) #66
stevenjb
network_state_unittest.cc lgtm
3 years, 2 months ago (2017-01-31 22:25:05 UTC) #67
jdoerrie
https://codereview.chromium.org/2516363005/diff/280001/chrome/browser/extensions/api/streams_private/streams_private_api.cc File chrome/browser/extensions/api/streams_private/streams_private_api.cc (right): https://codereview.chromium.org/2516363005/diff/280001/chrome/browser/extensions/api/streams_private/streams_private_api.cc#newcode43 chrome/browser/extensions/api/streams_private/streams_private_api.cc:43: existing_string_value->GetString() + ", " + std::move(header_value)); On 2017/01/31 22:22:24, ...
3 years, 2 months ago (2017-02-01 12:36:26 UTC) #68
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2516363005/300001
3 years, 2 months ago (2017-02-01 12:36:52 UTC) #71
commit-bot: I haz the power
3 years, 2 months ago (2017-02-01 14:39:15 UTC) #74
Message was sent while issue was closed.
Committed patchset #16 (id:300001) as
https://chromium.googlesource.com/chromium/src/+/f38f37b34fda511b74b32569f9f2...

Powered by Google App Engine
This is Rietveld 408576698